Bug 43399 - Add ENABLE(YARR) guard around JSGlobalData::m_regexAllocator
Summary: Add ENABLE(YARR) guard around JSGlobalData::m_regexAllocator
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: JavaScriptCore (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-08-02 19:21 PDT by Kwang Yul Seo
Modified: 2010-08-07 20:56 PDT (History)
1 user (show)

See Also:


Attachments
Patch (1.07 KB, patch)
2010-08-02 19:24 PDT, Kwang Yul Seo
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kwang Yul Seo 2010-08-02 19:21:10 PDT
m_regexAllocator is used only by RegExp::compile which is guarded with ENABLE(YARR).
Comment 1 Kwang Yul Seo 2010-08-02 19:24:25 PDT
Created attachment 63288 [details]
Patch

This patch is necessary for Brew MP. As Brew MP port has not yet ported PageAllocation used by BumpPointerAllocator.
Comment 2 Eric Seidel (no email) 2010-08-06 14:05:53 PDT
Comment on attachment 63288 [details]
Patch

OK.
Comment 3 Eric Seidel (no email) 2010-08-07 20:55:58 PDT
Comment on attachment 63288 [details]
Patch

Clearing flags on attachment: 63288

Committed r64934: <http://trac.webkit.org/changeset/64934>
Comment 4 Eric Seidel (no email) 2010-08-07 20:56:03 PDT
All reviewed patches have been landed.  Closing bug.